ServerEvents.recipes((event) => {

  // Tom's Storage Terminal
  event
  .shaped("toms_storage:ts.storage_terminal", [
    "ABA", 
    "DCE", 
    "AFA"
  ], {
    A: "supplementaries:cog_block",
    B: "rats:raw_rat",
    C: "#forge:chests/wooden",
    D: "sophisticatedstorage:crafting_upgrade",
    E: "infinitybuttons:console_button",
    F: "create:clipboard",
  })
  .id("toms_storage:storage_terminal");

// Tom's Crafting Terminal
event
  .shaped("toms_storage:ts.crafting_terminal", [
    "ABA", 
    "CDE", 
    "AFA"
  
  ], {
    A: "supplementaries:cog_block",
    B: "waxablecoral:waxed_brain_coral_block",
    C: "thermal:tinker_bench",
    D: "toms_storage:ts.storage_terminal",
    E: "supplementaries:crystal_display",
    F: "#forge:plates/copper",
  })
  .id("toms_storage:crafting_terminal");

// Tom's Inventory Connector
event
  .shaped("toms_storage:ts.inventory_connector", [
    "ABA", 
    "DCE", 
    "AFA"
  ], {
    A: "toms_storage:ts.inventory_cable",
    B: "create:redstone_link",
    C: "#forge:chests/wooden",
    D: "nethers_exoticism:bouddha_s_hand",
    E: "crabbersdelight:pearl",
    F: "sophisticatedstorage:hopper_upgrade",
  })
  .id("toms_storage:inventory_connector");
});